Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Chorus Class Reference

STK chorus effect class. More...

`#include <Chorus.h>`

Inheritance diagram for Chorus:

List of all members.

## Public Member Functions

| Chorus (MY_FLOAT baseDelay)
| Class constructor, taking the longest desired delay length.
| ~Chorus ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setModDepth (MY_FLOAT depth)
| Set modulation depth.
void | setModFrequency (MY_FLOAT frequency)
| Set modulation frequency.
void | setEffectMix (MY_FLOAT mix)
| Set the mixture of input and processed levels in the output (0.0 = input only, 1.0 = processed only).
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | lastOutLeft () const
| Return the last left output value.
MY_FLOAT | lastOutRight () const
| Return the last right output value.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize inputs, compute the same number of outputs and return them in vector.

## Detailed Description

STK chorus effect class.

This class implements a chorus effect.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 18 of file Chorus.h.

The documentation for this class was generated from the following file:

- Chorus.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.